using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace StandManager.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class RinominatoGiornoPresenza : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "GiornoPresenzaAl",
                table: "IscrizioneEvento");

            migrationBuilder.RenameColumn(
                name: "GiornoPresenzaDal",
                table: "IscrizioneEvento",
                newName: "GiornoPresenza");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.RenameColumn(
                name: "GiornoPresenza",
                table: "IscrizioneEvento",
                newName: "GiornoPresenzaDal");

            migrationBuilder.AddColumn<DateTime>(
                name: "GiornoPresenzaAl",
                table: "IscrizioneEvento",
                type: "datetime2",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));
        }
    }
}
